## com.puppycrawl.tools.checkstyle.checks.coding
Class SimplifyBooleanExpressionCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.coding.SimplifyBooleanExpressionCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class SimplifyBooleanExpressionCheck

extends Check

Checks for overly complicated boolean expressions. Currently finds code like `if (b == true)`, `b || true`, `!false`, etc.

Rationale: Complex boolean logic makes code hard to understand and maintain.

An example of how to configure the check is:

     <module name="SimplifyBooleanExpression"/>

Author:
  lkuehne

Constructor Summary
`SimplifyBooleanExpressionCheck()`

Method Summary
`int[]` `getAcceptableTokens()` Prevent user from changing tokens in the configuration.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`int[]` `getRequiredTokens()` The tokens that this check must be registered for.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getId, getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimplifyBooleanExpressionCheck

    public SimplifyBooleanExpressionCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Prevent user from changing tokens in the configuration.

  Overrides:
    `getAcceptableTokens` in class `Check`
  Returns:
    an empty array.
  See Also:
    `Check`

### getRequiredTokens

    public int[] getRequiredTokens()

  The tokens that this check must be registered for.

  Overrides:
    `getRequiredTokens` in class `Check`
  Returns:
    the token set this must be registered for.
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

Back to the Checkstyle Home Page